<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="#aa000000"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:id="@+id/exo_rew"
            android:src="@drawable/ic_replay_10_24"
            />

        <ImageView
            android:id="@+id/exo_play_pause"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_marginHorizontal="30dp"/>

        <ImageView
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:id="@+id/exo_ffwd"
            android:src="@drawable/ic_forward_10_24"
            />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="0dp"
        android:layout_marginEnd="0dp"
        android:layout_marginBottom="0dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="20dp"
            android:orientation="horizontal">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/exo_position"
                android:textColor="#fff"/>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="/"
                android:textColor="#CBCDC8"
                android:layout_marginHorizontal="4dp"/>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:id="@+id/exo_duration"
                android:textColor="#CBCDC8"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:orientation="horizontal">

            <androidx.media3.ui.DefaultTimeBar
                android:id="@+id/exo_progress"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_weight="2" />

            <ImageView
                android:id="@+id/exo_fullscreen_custom"
                android:layout_width="42dp"
                android:layout_height="42dp"
                android:src="@drawable/ic_fullscreen_24"
                android:layout_weight="0"
                android:layout_gravity="center"/>
        </LinearLayout>
    </LinearLayout>




</androidx.constraintlayout.widget.ConstraintLayout>